Skip to main content
`Ctrl`+`K`

# PetscOptionsGetBool

Gets the Logical (true or false) value for a particular option in the database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetBool(PetscOptions options, const char pre[], const char name[], PetscBool *ivalue, PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - the string to prepend to the name or `NULL`

- name - the option one is seeking

## Output Parameters

- ivalue - the logical value to return

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

TRUE, true, YES, yes, ON, on, nostring, and 1 all translate to `PETSC_TRUE` FALSE, false, NO, no, OFF, off and 0 all translate to `PETSC_FALSE`

If the option is given, but no value is provided, then `ivalue` and `set` are both given the value `PETSC_TRUE`. That is `-requested_bool` is equivalent to `-requested_bool true`

If the user does not supply the option at all `ivalue` is NOT changed. Thus you should ALWAYS initialize `ivalue` if you access it without first checking that the `set` flag is true.

## See Also

`PetscOptionsGetBool3()`, `PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsGetInt()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/options.c

## Examples

src/dm/tutorials/ex15.c
src/dm/tutorials/ex21.c
src/dm/tutorials/ex5.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/tutorials/ex12.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/label/tutorials/ex1f90.F90
src/dm/impls/stag/tutorials/ex2.c
src/dm/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex6.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages